Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class ClobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.ClobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary, StoreSecondary

Direct Known Subclasses:
  OracleClobMapping

public class ClobMapping
extends LobMapping
implements LoadSecondary, StorePrimary, StoreSecondary, PrimaryTable

Represents the mapping of a CLOB column in the owning class' primary table. CLOBs are not loaded along with the rest of the primary table; on-demand loading is used instead for efficieny and so SELECT DISTINCT queries still work with DBs that can't compare CLOB values.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`ClobMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)`
`protected int` | `getSQLType()` Returns the SQLType code for this concrete LOB implementation.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`delete, delete, getColumns, getLoadResultSet, getPKColumns, insert, insert, install, load, setPKColumns, update, update`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`compareToNull, getDataColumns, getInstance, getInstance, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.LoadSecondary
`load`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StorePrimary
`delete, insert, update`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StoreSecondary
`delete, insert, update`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.PrimaryTable
`getColumns`

Constructor Detail

### ClobMapping

    public ClobMapping()

Method Detail

### getSQLType

    protected int getSQLType()

  Description copied from class: `LobMapping`
  Returns the SQLType code for this concrete LOB implementation.
  Overrides:
    `getSQLType` in class `LobMapping`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Overrides:
    `canMap` in class `LobMapping`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.